org.eclipse.ease.lang.javascript.rhino

## Class RhinoClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.eclipse.ease.lang.javascript.rhino.BundleProxyClassLoader
    - - org.eclipse.ease.lang.javascript.rhino.RhinoClassLoader

    public class RhinoClassLoader
    extends BundleProxyClassLoader

A class loader for the Rhino runtime. This class loader will find classes from javascript and from the RCP. As it needs to use buddy class loading creating new objects might be an expensive operation. Activate this class loader like this: `ContextFactory.getGlobal().initApplicationClassLoader(new RhinoClassLoader());`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Class<?>` `findClass(String name)`
`static RhinoClassLoader` `getInstance()`
`static void` `registerURL(IScriptEngine engine, URL url)` Add a URL to the search path of the classloader.
`static void` `unregisterEngine(RhinoScriptEngine engine)`

### Methods inherited from class org.eclipse.ease.lang.javascript.rhino.BundleProxyClassLoader

`findResource, findResources, getResource`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, getParent, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static RhinoClassLoader getInstance()

#### findClass

    public Class<?> findClass(String name)
                       throws ClassNotFoundException

Overrides:
  `findClass` in class `BundleProxyClassLoader`
Throws:
  `ClassNotFoundException`

#### registerURL

    public static void registerURL(IScriptEngine engine,
                                   URL url)

Add a URL to the search path of the classloader. Currently detects classes only, not resources.

Parameters:
  `engine` - script engine used
  `url` - url to add to classpath

#### unregisterEngine

    public static void unregisterEngine(RhinoScriptEngine engine)